squidclient(1)

NAME
squidclient - A simple HTTP web client tool

SYNOPSIS
squidclient [ -aknNrsv ] [ -A string ] [ -g count ] [ -h remote host ] [ -H ' string ' ] [ -i IMS ] [ -I ping interval ] [ -j ' Host header ' ] [ -l local host ] [ -m method ] [ -p port ] [ -P file ] [ -t count ] [ -T timeout ] [ -u user ] [ -U user ] [ -V version ] [ -w password ] [ -W password ] url

DESCRIPTION
squidclient is a tool providing a command line interface for retrieving URLs. Designed for testing any HTTP 0.9, 1.0, or 1.1 web server or proxy. This tool can be combined with scripts to perform any basic HTTP operation. Some additional features for access to the squid proxy object cache and management information are provided.

OPTIONS

-a  Do NOT include Accept: header.

-A 'string'
    Send string as User-Agent: header. To omit the header completely set string to empty ('').

-g count
    Ping mode, perform count iterations (0 to loop until interrupted).

-h host
    Retrieve URL from cache on hostname. Default is localhost

-H 'string'
    Extra headers to send. Use '\n' for new lines.

-i time
    If-Modified-Since time (in Epoch seconds).

-I interval
    Ping interval in seconds (default 1 second).

-j hosthdr
    Host header content

-k  Keep the connection active. Default is to do only one request then close.

-l host
    Specify a local IP address to bind to. Default is none.

-m method
    Request method, default is GET. Squid also supports a non-standard method called PURGE. You can use that to purge a specific URL from the cache. You need to have purge access setup in squid.conf similar to manager
     access. Here is an example:
    acl purge method PURGE
    http_access deny purge !localhost

-n  Proxy Negotiate(Kerberos) authentication.
    Use kinit username@DOMAIN first to get initial TGS.

-N  WWW Negotiate(Kerberos) authentication.
    Use kinit username@DOMAIN first to get initial TGS.

-p port
    Port number of cache.  Default is 3128.

-P file
    Request body. Using the named file as data.

-r  Force cache to reload URL.

-s  Silent.  Do not print data to stdout.

-t count
    Trace
    count
    HTTP relay or proxy hops

-T timeout
    Timeout value (seconds) for read/write operations.

-u user
    Proxy authentication username

-U user
    WWW authentication username

-v  Verbose. Print outgoing message to stderr.

-V version
    HTTP Version. Use '-' for HTTP/0.9 omitted case

-w password
    Proxy authentication password

-W password
    WWW authentication password

AUTHOR
Derived from Harvest. Further developed by by numerous individuals from the internet community. Development is led by Duane Wessels of the National Laboratory for Applied Network Research and funded by the National Science Foundation.

COPYRIGHT
Distributed under the GNU General Public License (GNU GPL) version 2 or later (GPLv2+).

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@squid-cache.org>

REPORTING BUGS
See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@squid-cache.org>

SEE ALSO
squid(8), cachemgr.cgi(8)